ExtBasicPopupMenuSeparatorUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.common

## Class ExtBasicPopupMenuSeparatorUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.SeparatorUI
    - - javax.swing.plaf.basic.BasicSeparatorUI
      - - javax.swing.plaf.basic.BasicPopupMenuSeparatorUI
        - - com.jgoodies.looks.common.ExtBasicPopupMenuSeparatorUI

-     public final class ExtBasicPopupMenuSeparatorUI
      extends BasicPopupMenuSeparatorUI

  Renders the separator in popup and pull-down menus. Unlike its superclass we use a setting for the insets and it uses a shared UI delegate.
  Version:
    $Revision: 1.8 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI

      `highlight, shadow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtBasicPopupMenuSeparatorUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentUI` | `createUI(JComponent b)`
    `Dimension` | `getPreferredSize(JComponent c)`
    `protected void` | `installDefaults(JSeparator s)`
    `void` | `paint(Graphics g, JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI

      `getMaximumSize, getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtBasicPopupMenuSeparatorUI

          public ExtBasicPopupMenuSeparatorUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### installDefaults

          protected void installDefaults(JSeparator s)

      Overrides:
        `installDefaults` in class `BasicSeparatorUI`

    - #### paint

          public void paint(Graphics g,
                   JComponent c)

      Overrides:
        `paint` in class `BasicPopupMenuSeparatorUI`

    - #### getPreferredSize

          public Dimension getPreferredSize(JComponent c)

      Overrides:
        `getPreferredSize` in class `BasicPopupMenuSeparatorUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.